# $Revision: 1.28 $, $Date: 2002/09/27 13:15:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Approx
Summary:	String::Approx Perl module
Summary(cs):	Modul String::Approx pro Perl
Summary(da):	Perlmodul String::Approx
Summary(de):	String::Approx Perl Modul
Summary(es):	Mdulo de Perl String::Approx
Summary(fr):	Module Perl String::Approx
Summary(it):	Modulo di Perl String::Approx
Summary(ja):	String::Approx Perl ⥸塼
Summary(ko):	String::Approx  
Summary(no):	Perlmodul String::Approx
Summary(pl):	Modu Perla String::Approx
Summary(pt):	Mdulo de Perl String::Approx
Summary(pt_BR):	Mdulo Perl String::Approx
Summary(ru):	  Perl String::Approx
Summary(sv):	String::Approx Perlmodul
Summary(uk):	  Perl String::Approx
Summary(zh_CN):	String::Approx Perl ģ
Name:		perl-String-Approx
Version:	3.19
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Approx lets you match and substitute strings approximately.

%description -l pl
String::Approx pozwala na przyblione dopasowywanie i zastpowanie
acuchw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.apse
%{perl_sitearch}/String/Approx.pm
%dir %{perl_sitearch}/auto/String/Approx
%{perl_sitearch}/auto/String/Approx/Approx.bs
%attr(755,root,root) %{perl_sitearch}/auto/String/Approx/Approx.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-Approx.spec,v $
Revision 1.28  2002/09/27 13:15:13  ankry
- added tests on bcond, translations, new %%doc
- version 3.19, release 1

Revision 1.27  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.26  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 14:20:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.22  2002/02/10 15:34:49  depesz
adapterized

Revision 1.21  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/27 16:48:44  mis
- autoupdated to 3.18

Revision 1.19  2001/08/20 09:29:21  mis
- autoupdated to 3.17

Revision 1.18  2001/06/29 16:29:29  mis
- autoupdated to 3.16

Revision 1.17  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/04/17 12:15:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/02/20 16:00:46  mis
- updated (by autoup) to 3.15

Revision 1.13  2001/02/03 18:59:31  kloczek
- updated to 3.14.

Revision 1.12  2001/01/25 20:03:47  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2001/01/23 20:51:18  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.9  2000/11/12 03:58:31  kloczek
- updated to 3.13,
- use new rpm automation.

Revision 1.8  2000/08/22 10:09:21  kloczek
- updated to 3.12.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:32  pius
- updated to 3.09

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
